Issue 110135 - WW8: certain complex table exported as plain text
Summary: WW8: certain complex table exported as plain text
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: save-export (show other issues)
Version: OOo 3.2
Hardware: PC All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: michael.ruess
QA Contact: issues@sw
URL:
Keywords: ms_interoperability, regression
Depends on:
Blocks: 111112
  Show dependency tree
 
Reported: 2010-03-15 13:20 UTC by cno
Modified: 2013-08-07 14:44 UTC (History)
4 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
.odt with table that is removed on saving to .doc in 3.2.0 (10.58 KB, application/vnd.oasis.opendocument.text)
2010-03-15 13:21 UTC, cno
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description cno 2010-03-15 13:20:15 UTC
I'll attach a document with a table, provided by someone from the users list.

Problem: save to .doc and open again
 > table is lost
 (data is there, but without the table)

When you do the same in 3.1.1, the table is not removed.

When you open the .doc from 3.1.1 in 3.2.0, the table also is there.
Comment 1 cno 2010-03-15 13:21:36 UTC
Created attachment 68348 [details]
.odt with table that is removed on saving to .doc in 3.2.0
Comment 2 cno 2010-03-15 13:23:14 UTC
set keywords regression, ms_interoperability
Comment 3 cno 2010-03-15 13:24:31 UTC
my OS is Ubuntu, but I guess it is on all OSses.

Possibly related to issue 109571 ??
Comment 4 michael.ruess 2010-03-15 14:36:13 UTC
Can confirm the problem on WinXP. The table and its content will be exported as
plain text without the table.
Comment 5 jbf.faure 2010-03-19 22:32:51 UTC
Add me to cc.
Comment 6 uwe.luebbers 2010-03-22 16:05:31 UTC
adjusted target
Comment 7 openoffice 2010-04-06 11:02:42 UTC
started in CWS sw321bf02
Comment 8 vitriol 2010-04-19 16:58:32 UTC
Add me to CC
Comment 9 openoffice 2010-04-20 14:56:07 UTC
Current status: This is a whole new feature:

hg diff --rev OOO320_m15 sw | grep "^[+-]" | nl 

returns 1417 changed lines.
Comment 10 openoffice 2010-04-20 15:00:33 UTC
Analysis: The vanishing table is an old style table with subtables including merges. These kind of tables were not 
exported anymore after the export of nested tables was implemented. Newer versions of OOo do not create these 
kind of tables anymore. Thus export of the old style tables was low priority and did not make it so far.
Comment 11 openoffice 2010-04-21 12:19:23 UTC
fixed:

changeset: 1df02be295f4, sw321bf02: #i110135# corrected setting of ends of
cells, corrected sorting of CellInfo
changeset: c14670989b3f, sw321bf02: #i110135#:
AttributeOutputBase::TableNodeInfoInner: handle shadowsAfter correctly
changeset: 1a210ec1c10b, sw321bf02: #i110135#:
WW8TableNodeInfoInner::getGridCols: Factored out getting widths of row
changeset: e5f9640ced79, sw321bf02: #i110135#: removed WidthsVector from
WW8TableInfoInner
changeset: c8b749520c01, sw321bf02: #i110135#: removed mnRowSpan from
WW8TableInfoInner
changeset: a58cb8b5e09f, sw321bf02: #i110135#: removed some disabled code
changeset: 0527bf766479, sw321bf02: #i110135#: connectCells: sometimes the
SwEndNode is last in cell, mostly it's the last SwTxtNode
changeset: dabd5665ec18, sw321bf02: #i110135#: let WW8TableNodeInfoInner provide
the rowspans
changeset: 213aa84861ac, sw321bf02: #i110135#: store frame format widths on
cellinfos and use them in connectCells to generate width of row
changeset: b92421dd3ff7, sw321bf02: #i110135# WW8TableCellGridRow
changeset: 755142cff359, sw321bf02: #i110135#: handle SwStartNodes and rowspans
changeset: 6ea153dd706c, sw321bf02: #i110135#: WW8TableInfoInner: new member
mnRowspan
changeset: 9e84e780fcf0, sw321bf02: #i110135# Use WW8TableInfo to get table
boxes and gridCols
changeset: c10ca42d2959, sw321bf02: #i110135# insert shadow cells
changeset: bb8348d2b693, sw321bf02: #i110135# store widths of cells at last node
in row, get table boxes for row
changeset: 08243ec4d03b, sw321bf02: #i110135# addShadowCells: set vertical merge
changeset: ec2f72e19eff, sw321bf02: #i110135# WW8TableNodeInfoInner: new member:
mbVertMerge
changeset: ae726013fb66, sw321bf02: #i110135# connectCells: set shadow counts
correctly
changeset: 92dc72181c41, sw321bf02: #i110135# addShadowCells: corrected
detection of new cell
changeset: cdc00ae69799, sw321bf02: #i110135# debug output, corrected next node,
processSwTableByLayout: pSttNd may be 0, corrected order of WW8CellInfos
changeset: 60e364433f27, sw321bf02: #i110135# reimplement traversal through
table layout
changeset: a6605e4d9797, sw321bf02: #i110135#: SwTableCellInfo
changeset: f26e962b513a, sw321bf02: #i110135#: corrected white space,
WW8TableCellGrid::toString, WW8TableInfo::reorderByLayout
changeset: 276b3c4181fc, sw321bf01: #i110135# new class WW8TableCellGrid
changeset: 2cdf29951c78, sw321bf02: #i110135# CellInfos per table
changeset: 3430b69d4d50, sw321bf02: #i110135# get lists of CellInfos
Comment 12 openoffice 2010-04-22 15:27:32 UTC
ready for QA
Comment 13 michael.ruess 2010-04-28 14:43:43 UTC
Reopening issue.
Comment 14 michael.ruess 2010-04-28 14:49:33 UTC
Sorry, but we are looking to integrate this fix in OOo 3.3.
This one is definitely too complex to have it for 3.2.1 release. About 1400
lines of code had to be touched for this fix and the QA has already found a lot
of regressions (the CWS went three times back from QA to DEV) and we cannot be
sure that this is finally over now looking at the complexity of changes for this
issue.
So it would be a much better idea to have this in a 3.3 build so that we have
enough time and resources to test such a complex fix in a meaningful way.
I hope that everybody on the interest list of this issue agrees with us. Thanks
for your patience.
Comment 15 uwe.luebbers 2010-04-29 15:28:41 UTC
Changed target
Comment 16 uwe.luebbers 2010-04-29 15:30:32 UTC
You'll find more detailed information regarding the target on the releases list.
Comment 17 tommy27 2010-05-02 22:42:10 UTC
wise decision.
Comment 18 openoffice 2010-05-12 12:16:08 UTC
.
Comment 19 michael.ruess 2010-05-20 15:42:30 UTC
Verified in CWS hb33tablelayout.
Comment 20 michael.ruess 2010-06-24 14:13:43 UTC
Checked in DEV300m83.
Comment 21 michael.ruess 2010-06-24 14:14:11 UTC
Closed, integrated in m83.
Comment 22 noop 2010-06-25 20:05:47 UTC
Confirmed working in:
$ cat /opt/ooo-dev3/program/versionrc
[Version]
AllLanguages=en-US
buildid=300m83(Build:9511)
ExtensionUpdateURL=http://updateexte.services.openoffice.org/ExtensionUpdateService/check.Update
OOOBaseVersion=3.3
ProductBuildid=9511
ProductMajor=300
ProductMinor=83
ProductSource=DEV300
UpdateID=OOo-dev_3_en-US
UpdateURL=http://update36.services.openoffice.org/ProductUpdateService/check.Update?pkgfmt=deb
UpdateUserAgent=<PRODUCT> (${buildid}; ${_OS}; ${_ARCH};
BundledLanguages=${AllLanguages})

Thanks!
Comment 23 openoffice 2010-07-21 10:58:22 UTC
.